V4L2LOOPBACK-CTL(1)

NAME
v4l2loopback-ctl - control v4l2 loopback devices

DESCRIPTION
usage: v4l2loopback-ctl [general commands]

    general commands ================

-v/--version : print version and exit

-h/-?/--help : print this help and exit

    add {<flags>} [<outputdevice> [<capturedevice>]]

    delete <device>

    list {<flags>}

    query {<flags>} <device>

    set-fps <device> <fps>

    get-fps <device>

    set-caps <device> <caps>

    get-caps <device>

    set-timeout-image {<flags>} <device> <image>

    adding devices ('add') ======================

    v4l2loopback-ctl add {<flags>} [<outputdevice> [<capturedevice>]]

<flags>
    any of the following flags may be present

-n/--name <name>
    : pretty name for the device

--min-width <w>
    : minimum allowed frame width

-w/--max-width <w>
    : maximum allowed frame width

--min-height <w>
    : minimum allowed frame height

-h/--max-height <h>
    : maximum allowed frame height

-x/--exclusive-caps <x> : whether to announce OUTPUT/CAPTURE capabilities exclusively

-b/--buffers <num>
    : buffers to queue

-o/--max-openers <num>
    : maximum allowed concurrent openers

-v/--verbose
    : verbose mode (print properties of device after successfully creating it)

-?/--help
    : print this help and exit

<outputdevice>
    if given, create a specific device (otherwise just create a free one).

    either specify a device name (e.g. '/dev/video1') or a device number ('1').

<capturedevice>
    if given, use separate output & capture devices (otherwise they are the same).

    deleting devices ('delete') ===========================

    v4l2loopback-ctl delete <device>

<device>
    can be given one more more times (to delete multiple devices at once). either specify a device name (e.g. '/dev/video1') or a device number ('1').

    listing devices ('list') ========================

    v4l2loopback-ctl list {<flags>}

<flags>
    any of the following flags may be present

-e/--escape
    : escape control-characters in (device) names

-h/--help
    : print this help and exit

    list all available loopback-devices

    querying devices ('query') ==========================

    v4l2loopback-ctl query {<flags>} <device>

<flags>
    any of the following flags may be present

-e/--escape
    : escape control-characters in (device) names

-h/--help
    : print this help and exit

<device>
    can be given one more more times (to query multiple devices at once). either specify a device name (e.g. '/dev/video1') or a device number ('1').

    setting framerate ('set-fps') =============================

    v4l2loopback-ctl set-fps <device> <fps>

<device>
    either specify a device name (e.g. '/dev/video1') or a device number ('1').

<fps>
    frames per second, either as integer ('30') or fraction ('50/2').

    getting framerate ('get-fps') =============================

    v4l2loopback-ctl get-fps <device>

    setting capabilities ('set-caps') =================================

    v4l2loopback-ctl set-caps <device> <caps>

<device>
    either specify a device name (e.g. '/dev/video1') or a device number ('1').

<caps>
    format specification as '<fourcc>:<width>x<height>@<fps>' (e.g. 'UYVY:1024x768@60/1')

    getting capabilities ('get-caps') =================================

    v4l2loopback-ctl get-caps <device>

    setting timeout image ('set-timeout-image') ===========================================

    v4l2loopback-ctl set-timeout-image {<flags>} <device> <image>

<flags>
    any of the following flags may be present

-t/--timeout <timeout>
    : timeout (in ms)

-v/--verbose
    : raise verbosity (print what is being done)

-h/--help
    : print this help and exit

<device>
    either specify a device name (e.g. '/dev/video1') or a device number ('1').

<image>
    image file

v4l2loopback module v0.13.1